Package org.drinkless.tdlib

# Class TdApi.Video

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Video

Enclosing class:
  `TdApi`

public static class TdApi.Video extends TdApi.Object
Describes a video file.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the video, in seconds; as defined by the sender.
  `String`
  `fileName`
  Original name of the file; as defined by the sender.
  `boolean`
  `hasStickers`
  True, if stickers were added to the video.
  `int`
  `height`
  Video height; as defined by the sender.
  `String`
  `mimeType`
  MIME type of the file; as defined by the sender.
  `TdApi.Minithumbnail`
  `minithumbnail`
  Video minithumbnail; may be null.
  `boolean`
  `supportsStreaming`
  True, if the video is expected to be streamed.
  `TdApi.Thumbnail`
  `thumbnail`
  Video thumbnail in JPEG or MPEG4 format; as defined by the sender; may be null.
  `TdApi.File`
  `video`
  File containing the video.
  `int`
  `width`
  Video width; as defined by the sender.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Video()`
  Describes a video file.
  `Video(int duration, int width, int height, String fileName, String mimeType, boolean hasStickers, boolean supportsStreaming, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File video)`
  Describes a video file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### duration

    public int duration
    Duration of the video, in seconds; as defined by the sender.

  - ### width

    public int width
    Video width; as defined by the sender.

  - ### height

    public int height
    Video height; as defined by the sender.

  - ### fileName

    public String fileName
    Original name of the file; as defined by the sender.

  - ### mimeType

    public String mimeType
    MIME type of the file; as defined by the sender.

  - ### hasStickers

    public boolean hasStickers
    True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.

  - ### supportsStreaming

    public boolean supportsStreaming
    True, if the video is expected to be streamed.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Video minithumbnail; may be null.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Video thumbnail in JPEG or MPEG4 format; as defined by the sender; may be null.

  - ### video

    public TdApi.File video
    File containing the video.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Video

    public Video()
    Describes a video file.

  - ### Video

    public Video(int duration, int width, int height, String fileName, String mimeType, boolean hasStickers, boolean supportsStreaming, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File video)
    Describes a video file.
    Parameters:
      `duration` - Duration of the video, in seconds; as defined by the sender.
      `width` - Video width; as defined by the sender.
      `height` - Video height; as defined by the sender.
      `fileName` - Original name of the file; as defined by the sender.
      `mimeType` - MIME type of the file; as defined by the sender.
      `hasStickers` - True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.
      `supportsStreaming` - True, if the video is expected to be streamed.
      `minithumbnail` - Video minithumbnail; may be null.
      `thumbnail` - Video thumbnail in JPEG or MPEG4 format; as defined by the sender; may be null.
      `video` - File containing the video.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR